#!/bin/bash

if [[ "$(hostname)" == "spcpc478.epfl.ch" ]] || [[ "$(hostname)" == "crpppc171" ]]
then
  echo "Setting up icc"
  source setup_icc
fi

echo "Defining environment variables"
declare -x SCDDS_PATH=$(pwd)
echo SCDDS_PATH=$SCDDS_PATH

if [[ "$(uname -s)" == "linux" ]] && [[ -z $MATLAB ]]
then
 declare -x MATLAB=/usr/local/MATLAB/R2019a
 echo MATLAB=$MATLAB
else
 echo MATLAB=$MATLAB
 echo please check or declare MATLAB environment variable before compiling meq/genlib
fi
